Package skyview.geometry.projecter

# Class Mol.MolDeproj

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Deprojecter
skyview.geometry.projecter.Mol.MolDeproj

All Implemented Interfaces:
  `Serializable`, `Component`

Enclosing class:
  `Mol`

public class Mol.MolDeproj extends Deprojecter

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MolDeproj()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Description of component
`String`
`getName()`
Name of component
`Projecter`
`inverse()`
Get the inverse transformation
`boolean`
`isInverse(Transformer trans)`
Is this the inverse of another transformation?
`final void`
`transform(double[] plane, double[] sphere)`
Deproject a point from the plane to the sphere.

### Methods inherited from class skyview.geometry.Deprojecter

`getInputDimension, getOutputDimension`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MolDeproj

public MolDeproj()

## Method Details

### getName

public String getName()
Name of component

### getDescription

public String getDescription()
Description of component

### inverse

public Projecter inverse()
Get the inverse transformation

Specified by:
  `inverse` in class `Transformer`

### isInverse

public boolean isInverse(Transformer trans)
Is this the inverse of another transformation?

Specified by:
  `isInverse` in class `Transformer`

### transform

public final void transform(double[] plane, double[] sphere)
Deproject a point from the plane to the sphere.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `plane` - The input position in the projection plane.
  `sphere` - A preallocated 3-vector to hold the unit vector result.